Get integrity certificate
curl --request GET \
--url https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/certificateimport requests
url = "https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/certificate"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mnemom.ai/v1/checkpoints/{checkpoint_id}/certificate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "https://mnemom.ai/aip/v1",
"type": "IntegrityCertificate",
"version": "<string>",
"certificate_id": "<string>",
"issued_at": "2023-11-07T05:31:56Z",
"subject": {
"checkpoint_id": "<string>",
"agent_id": "<string>",
"session_id": "<string>",
"card_id": "<string>"
},
"claims": {
"concerns": [
{
"category": "<string>",
"severity": "<string>",
"description": "<string>"
}
],
"confidence": 123,
"reasoning_summary": "<string>",
"analysis_model": "<string>",
"analysis_duration_ms": 123
},
"input_commitments": {
"thinking_block_hash": "<string>",
"card_hash": "<string>",
"values_hash": "<string>",
"context_hash": "<string>",
"model_version": "<string>",
"combined_commitment": "<string>"
},
"proofs": {
"signature": {
"algorithm": "Ed25519",
"key_id": "<string>",
"value": "<string>",
"signed_payload": "<string>"
},
"chain": {
"chain_hash": "<string>",
"prev_chain_hash": "<string>",
"position": 123
},
"merkle": {
"leaf_hash": "<string>",
"leaf_index": 123,
"root": "<string>",
"tree_size": 123,
"inclusion_proof": [
{
"hash": "<string>"
}
]
},
"verdict_derivation": {
"method": "SP1-STARK",
"image_id": "<string>",
"receipt": "<string>",
"journal": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
}
},
"verification": {
"keys_url": "<string>",
"certificate_url": "<string>",
"verify_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Verification
Get integrity certificate
Retrieve or reconstruct the IntegrityCertificate for a checkpoint.
GET
/
checkpoints
/
{checkpoint_id}
/
certificate
Get integrity certificate
Path Parameters
The checkpoint ID (ic-{uuid} format)
Response
The integrity certificate
Machine-readable cryptographic certificate for an integrity checkpoint. Modeled on C2PA content credentials and W3C Verifiable Credentials.
Namespace identifier
Available options:
https://mnemom.ai/aip/v1 Available options:
IntegrityCertificate Certificate format version
Unique certificate identifier (cert-{8 random chars})
ISO 8601 timestamp of certificate issuance
Identifies the checkpoint this certificate attests to
Show child attributes
Show child attributes
Analysis verdict and supporting evidence
Show child attributes
Show child attributes
Cryptographic commitments to analysis inputs
Show child attributes
Show child attributes
Cryptographic evidence supporting the claims
Show child attributes
Show child attributes
URLs for independent verification
Show child attributes
Show child attributes
⌘I